<?php
session_start(); // Démarre une session. Dépose un cookie avec un PHPSESID permettant l'identification par le serveur

// Définition des paramètres de connexion
$dsn = 'mysql:host=10.121.38.239;dbname=gsbbdcr;charset=utf8mb4';
$user = 'web';
$pass = 'Wxcvb56';

try {
    $dbh = new PDO($dsn, $user, $pass);
    $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $e) {
    die("Erreur de connexion : " . $e->getMessage());
}

?>

<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>SiteGSB</title>
    <link rel="stylesheet" href="./index.css">
    <script src="https://cdn.tailwindcss.com"></script>
</head>
<body>

<?php
// Vérification de l'existence des champs
if (isset($_GET['username']) && isset($_GET['password']) && isset($_GET['role'])) {
    $username = $_GET['username'];
    $password = $_GET['password'];
    $role = $_GET['role'];

    // Préparation de la requête pour vérifier les identifiants
    $stmt = $dbh->prepare("SELECT vMDP, vResponsable FROM UTILISATEUR WHERE vIdentifiant = :username");
    $stmt->bindParam(':username', $username, PDO::PARAM_STR);
    $stmt->execute();
    $user = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($user) {
        if ($user['vResponsable'] == $role) {
            // Si les identifiants sont corrects
            $_SESSION['authenticated'] = true;
            $_SESSION['pseudo'] = $username;
            $_SESSION['role'] = $user['vResponsable'];

            if ($user['vMDP'] == $password) {
                if ($user['vResponsable'] == 0 && $role == 0) {
                    header('Location: ../Accueil.php');
                } elseif ($user['vResponsable'] == 1 && $role == 1) {
                    header('Location: ../accueilResponsable.php');
                } else {
                    echo "<h1><b>Mot de passe ou identifiant invalide.</b></h1>";
                    echo '<a href="../index.php">Retour accueil</a>';
                }
                exit();
            }
        } elseif ($user['vResponsable'] == 1 && $role == 0) {
            header('Location: ../Accueil.php');
            exit();
        } else {
            echo "<h1><b>Mauvais rôle. Veuillez sélectionner Visiteur.</b></h1>";
            echo '<a href="../index.php">Retour accueil</a>';
            exit();
        }
    } else {
        echo "<h1><b>Mot de passe ou identifiant invalide.</b></h1>";
        echo '<a href="../index.php">Retour accueil</a>';
        exit();
    }
}
?>

</body>
</html>
